# Type Alias DirectiveCompileFn

DirectiveCompileFn: (
templateElement: HTMLElement,
templateAttributes: Attributes,
transclude: (...args: any[]) => any,
) => void | DirectiveLinkFn | DirectivePrePost

A compile function used to prepare directives before linking.

#### Type declaration

- - (
    templateElement: HTMLElement,
    templateAttributes: Attributes,
    transclude: (...args: any[]) => any,
    ): void | DirectiveLinkFn | DirectivePrePost

  - #### Parameters

    - templateElement: HTMLElement
    - templateAttributes: Attributes
    - transclude: (...args: any[]) => any

    #### Returns void | DirectiveLinkFn | DirectivePrePost